## ros-melodic-twist-mux 3.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(twist_mux)

find_package(catkin REQUIRED
    COMPONENTS
      roscpp
      std_msgs
      geometry_msgs
      visualization_msgs
      diagnostic_updater)

find_package(Boost REQUIRED)

set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS
      roscpp
      std_msgs
      geometry_msgs
      visualization_msgs
      diagnostic_updater)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(twist_mux
    src/twist_mux.cpp
    src/twist_mux_node.cpp
    src/twist_mux_diagnostics.cpp)
target_link_libraries(twist_mux ${catkin_LIBRARIES})

add_executable(twist_marker
    src/twist_marker.cpp)
target_link_libraries(twist_marker ${catkin_LIBRARIES})

install(TARGETS twist_mux twist_marker
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS scripts/joystick_relay.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

foreach(dir launch config)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

install(DIRECTORY include/
   DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)

    add_rostest(test/system.test)
endif()

=== debian/changelog ===
ros-melodic-twist-mux (3.1.1-1stretch) stretch; urgency=high

  * Bump CMake version to avoid CMP0048
  * Contributors: Bence Magyar

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 01 Jun 2020 23:00:00 -0000

ros-melodic-twist-mux (3.1.0-1stretch) stretch; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sun, 24 Jun 2018 23:00:00 -0000

ros-melodic-twist-mux (3.0.0-1stretch) stretch; urgency=high

  * Merge pull request #8 <https://github.com/ros-teleop/twist_mux/issues/8> from ros-teleop/update_jade_from_indigo_devel
    fix queue_size SyntaxWarning
  * fix queue_size SyntaxWarning
  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo, Jeremie Deray

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 11 Jul 2016 23:00:00 -0000

ros-melodic-twist-mux (2.0.0-1stretch) stretch; urgency=high

  * Add rosindex tags
    http://rosindex.github.io/contribute/metadata/#metadata-elements
  * Add missed test dependencies on rospy, rostopic
  * Add .gitignore for *.pyc in test
  * Fix rostest dependency
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 21 May 2015 23:00:00 -0000

ros-melodic-twist-mux (1.0.3-1stretch) stretch; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 03 Apr 2015 23:00:00 -0000

ros-melodic-twist-mux (1.0.2-1stretch) stretch; urgency=high

  * Increase version to 1.0.1 for indigo release
  * Add diagnostic_updater dependency
  * Contributors: Enrique Fernández

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 14 Nov 2014 00:00:00 -0000

ros-melodic-twist-mux (0.0.1-1stretch) stretch; urgency=high

  * Add twist multiplexer
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 13 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-twist-mux
Section: misc
Priority: optional
Maintainer: Enrique Fernandez <efernandez@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rostopic, ros-melodic-std-msgs, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-twist-mux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-twist-mux-msgs, ros-melodic-visualization-msgs
Description: Twist multiplexer, which multiplex several velocity commands (topics) and allows to priorize or disable them (locks).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-twist-mux//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-twist-mux 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 install(TARGETS twist_mux twist_marker
     RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 
-install(PROGRAMS scripts/joystick_relay.py
+catkin_install_python(PROGRAMS scripts/joystick_relay.py
     DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 
 foreach(dir launch config)

=== debian/changelog ===
ros-melodic-twist-mux (3.1.2-1bionic) bionic; urgency=high

  * Install joystick_relay.py with catkin_install_python (#37 <https://github.com/ros-teleop/twist_mux/issues/37>)
  * Some more logical operator fixes
  * Use standard logical or operator
  * Contributors: Bence Magyar, Tobias Fischer, Wolfgang Merkt

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Wed, 17 Aug 2022 23:00:00 -0000

ros-melodic-twist-mux (3.1.1-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048
  * Contributors: Bence Magyar

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 01 Jun 2020 23:00:00 -0000

ros-melodic-twist-mux (3.1.0-1bionic) bionic; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sun, 24 Jun 2018 23:00:00 -0000

ros-melodic-twist-mux (3.0.0-1bionic) bionic; urgency=high

  * Merge pull request #8 <https://github.com/ros-teleop/twist_mux/issues/8> from ros-teleop/update_jade_from_indigo_devel
    fix queue_size SyntaxWarning
  * fix queue_size SyntaxWarning
  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo, Jeremie Deray

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 11 Jul 2016 23:00:00 -0000

ros-melodic-twist-mux (2.0.0-1bionic) bionic; urgency=high

  * Add rosindex tags
    http://rosindex.github.io/contribute/metadata/#metadata-elements
  * Add missed test dependencies on rospy, rostopic
  * Add .gitignore for *.pyc in test
  * Fix rostest dependency
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 21 May 2015 23:00:00 -0000

ros-melodic-twist-mux (1.0.3-1bionic) bionic; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 03 Apr 2015 23:00:00 -0000

ros-melodic-twist-mux (1.0.2-1bionic) bionic; urgency=high

  * Increase version to 1.0.1 for indigo release
  * Add diagnostic_updater dependency
  * Contributors: Enrique Fernández

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 14 Nov 2014 00:00:00 -0000

ros-melodic-twist-mux (0.0.1-1bionic) bionic; urgency=high

  * Add twist multiplexer
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 13 Nov 2014 00:00:00 -0000
